## org.apache.mahout.text
Enum SequenceFilesFromLuceneStorageMapper.DataStatus

    java.lang.Object
      java.lang.Enum<SequenceFilesFromLuceneStorageMapper.DataStatus>
          org.apache.mahout.text.SequenceFilesFromLuceneStorageMapper.DataStatus

All Implemented Interfaces:
  Serializable, Comparable<SequenceFilesFromLuceneStorageMapper.DataStatus>

Enclosing class:
  SequenceFilesFromLuceneStorageMapper

    public static enum SequenceFilesFromLuceneStorageMapper.DataStatus

extends Enum<SequenceFilesFromLuceneStorageMapper.DataStatus>

Enum Constant Summary
`EMPTY_BOTH`
`EMPTY_KEY`
`EMPTY_VALUE`

Method Summary
`static SequenceFilesFromLuceneStorageMapper.DataStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SequenceFilesFromLuceneStorageMapper.DataStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY_KEY

    public static final SequenceFilesFromLuceneStorageMapper.DataStatus EMPTY_KEY

### EMPTY_VALUE

    public static final SequenceFilesFromLuceneStorageMapper.DataStatus EMPTY_VALUE

### EMPTY_BOTH

    public static final SequenceFilesFromLuceneStorageMapper.DataStatus EMPTY_BOTH

Method Detail

### values

    public static SequenceFilesFromLuceneStorageMapper.DataStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SequenceFilesFromLuceneStorageMapper.DataStatus c : SequenceFilesFromLuceneStorageMapper.DataStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SequenceFilesFromLuceneStorageMapper.DataStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.